Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.commonapi.rawserialization
Interface RawSerializable

All Known Subinterfaces:
  PeerReviewMessage, RawMessage

All Known Implementing Classes:
  AbstractSubscribeMessage, AccusationMessage, AckMessage, AnycastFailureMessage, AnycastMessage, AuthPushMessage, AuthRequest, AuthResponse, BogusNodeHandle, BroadcastLeafSet, BroadcastRouteRow, ByteBufferMsg, CacheMessage, ChallengeMessage, ConsistentJoinMsg, ContinuationMessage, DirectNodeHandle, DistNodeHandle, DropMessage, FetchHandleMessage, FetchLeafsetRequest, FetchLeafsetResponse, FetchMessage, GCCollectMessage, GCInsertMessage, GCLookupHandlesMessage, GCRefreshMessage, GlacierDataMessage, GlacierFetchMessage, GlacierMessage, GlacierNeighborRequestMessage, GlacierNeighborResponseMessage, GlacierQueryMessage, GlacierRangeForwardMessage, GlacierRangeQueryMessage, GlacierRangeResponseMessage, GlacierRefreshCompleteMessage, GlacierRefreshPatchMessage, GlacierRefreshProbeMessage, GlacierRefreshResponseMessage, GlacierResponseMessage, GlacierSyncMessage, GlacierTimeoutMessage, Id, InsertMessage, JavaSerializedMessage, JoinRequest, LeafSetRequest, LeafSetResponse, LeafSetTest.TestNodeHandle, LookupHandlesMessage, LookupMessage, MergeTest.TestNodeHandle, MessageLostMessage, MyInetSocketAddress, MyMsg, MyMsg, NodeHandle, OpenChannelMsg, OutgoingUserDataMessage, PastMessage, PastryEndpointMessage, PilotForwardMsg, PJavaSerializedMessage, PRawMessage, ProbeRequestMessage, PublishMessage, PublishRequestMessage, ReminderMessage, RendezvousJoinRequest, RendezvousSocketNodeHandle, ReplicationMessage, RequestLeafSet, RequestMessage, RequestRouteRow, ResponseMessage, ResponseMessage, RouteMessage, RouteRowRequest, RouteRowResponse, ScribeMessage, SocketNodeHandle, Statement, SubscribeAckMessage, SubscribeFailedMessage, SubscribeMessage, TransportLayerNodeHandle, UnsubscribeMessage, UserDataMessage

    public interface RawSerializable

Method Summary
`void` | `serialize(OutputBuffer buf)`

Method Detail

### serialize

    void serialize(OutputBuffer buf)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.